<?php
// annulation des erreurs, détruit le tableau des erreurs ($_REQUEST['erreurs'])
function ERR_raz() { unset($_REQUEST['erreurs']);}
// ajouterErreur ajout d'une erreur au tableau des erreurs ($_REQUEST['erreurs'])
function ERR_add($msg) {
global $textes;
	if (! isset($_REQUEST['erreurs'])) $_REQUEST['erreurs']=array();
	if (intval($msg)>0 && intval($msg)<9999) $msg=$textes[$msg];
	$_REQUEST['erreurs'][]=htmlentities($msg,ENT_QUOTES,'UTF-8');
}
// getErreurs retourne un tableau contenant les erreurs à partir du tableau des erreurs ($_REQUEST['erreurs'])
function ERR_getTab() {
   if (!isset($_REQUEST['erreurs'])) $_REQUEST['erreurs']= array();
   return $_REQUEST['erreurs'];
}
// nbErreurs retourne le nombre d'erreurs que l'on peut retourner.
function ERR_getNb() { return count(ERR_getTab());}
// printErreurs affiche la liste des erreurs (liste html non ordonnée).
// pour chaque erreur du tableau des erreurs, ecrire une ligne de la liste
function ERR_dspList() {
   if (ERR_nbErreurs()!=0){
      echo '<div id="erreur" class="msgErreur"><ul>';
      foreach (ERR_getTab() as $erreur){ echo "<li>$erreur</li>"; }
      echo '</ul></div>\n';
   }
} 
?>
